API Docs

Website Sync

When syncing data from Flowcase to a CMS or website, there is sometimes a concern that confidential data, data about clients or other data entered in CVs by employees will be automatically or accidentally synced and visible on the public website. There are two common patterns to mitigate this.

Draft pattern

If the website is hosted or run by a CMS with a workflow or draft functionality, a good pattern would be to sync data from Flowcase to a new "draft" (for each profile/CV/person) in the CMS. This can be either automatic or on-demand (by the click of a button). Syncing the data to a new "draft" would then allow a publisher (administrator of the CMS/website) to QA and approve or reject the drafts for publishing, including removing any confidential or unsuitable content. Whether this pattern can be implemented depends entirely on the CMS' capabilities.

Filter pattern

A CV in Flowcase consists of different sections: Summary, Project Experience, Skills, Education, Courses, Publications, etc. Depending on the type of section, the likelihood of it containing confidential data may vary.

Here are our recommendations for the main sections:

  • Educations and Courses should rarely contain confidential data (at least not data about customers or secret projects) so most of the time these can be published as-is.
  • Summaries may contain confidential data. However, the summary you want on the website will most likely be different than the default or tailored summaries you may want in a Word/PDF/PowerPoint CV. In Flowcase, summaries can be given a name, so a common pattern is to create a separate Summary within the CV, named "For Web" (or similar). This named summary can then be recognised and selected by the script or program pulling data from Flowcase to the CMS or website.
  • Project Experiences (Cases) have a high likelihood of containing data about clients, and some of them might be confidential. We recommend not exporting Project Experiences at all, or only exporting projects explicitly marked as publishable. One solution is to assign the Project Type to "For web" (or similar), and filter for this when pulling data from Flowcase to the CMS or website.

Filter on official skills

Official skills and competences can be maintained in the Masterdata module in Flowcase. When fetching skills from CVs in Flowcase to sync to the website, a common pattern is to filter so that only official skills are synced to the CMS or website.

To fetch the list of official skills, use the Flowcase Data Export API which only returns official skills per user/CV.

Synchronising CV data

Using the Data Export API

The Data Export API only returns data that matches the official skills, industries, etc. that you have defined in the Masterdata tool. It returns data in batches of 100. Each response contains a link to the next batch (if there are more).

Export users

GET https://<subdomain>.flowcase.com/api/v1/data_export/users

This endpoint:

  • Only lists active users in Flowcase by default. To include deactivated users, set the query parameter include_deactivated=true.
  • Allows you to paginate through results via the limit and offset query parameters.

For more flexibility on fetching users, see the Users API for filtering users by office, skills, or any other CV attributes.

Response:

{
  "href": "LINK_TO_NEXT_PAGE_OF_RESULTS",
  "values": [
    {
      "id": "USER_ID",
      "email": "EMAIL",
      "cv_id": "CV_ID",
      "name": "NAME_OF_USER",
      "custom_tags": ["TAG_ID"],
      "skills": ["SKILL_ID_1", "SKILL_ID_2"],
      "customers": ["CUSTOMER_ID_1", "CUSTOMER_ID_2"],
      "industries": ["INDUSTRY_ID_1", "INDUSTRY_ID_2"]
    }
  ],
  "next": {
    "href": "LINK_TO_NEXT_PAGE_OF_RESULTS"
  },
  "total": "TOTAL_NUMBER_OF_RESULTS"
}

Export skills

The user results reference skills in Masterdata by ID. To get the names of the skills, you also need to export the Masterdata skills themselves:

GET https://<subdomain>.flowcase.com/api/v1/data_export/skills

Response:

{
  "href": "LINK_TO_NEXT_PAGE_OF_RESULTS",
  "values": [
    {
      "id": "SKILL_ID",
      "values": {
        "no": "NORWEGIAN_SKILL_NAME",
        "int": "ENGLISH_SKILL_NAME"
      }
    }
  ],
  "total": "TOTAL_NUMBER_OF_RESULTS"
}

Using the Masterdata API (Legacy)

Official skill categories

GET https://<subdomain>.flowcase.com/api/v1/masterdata/technologies/category?offset=0&limit=20

Official skills

GET https://<subdomain>.flowcase.com/api/v1/masterdata/technologies/tags?offset=0&limit=100

Fetch a user's full CV

GET https://<subdomain>.flowcase.com/api/v3/cvs/<user_id>/<cv_id>

Replace <user_id> with the user ID and <cv_id> with the default_cv_id returned by the Users API call above. This will return a JSON response with CV data for a user. This contains all CV sections with language keys for each available language. int is used as a language code for English (international).